<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+


/*CREATE TABLE ~message_schedule (
  id integer NOT NULL,
  subject varchar(255) default '',
  body blob,
  name varchar(255) default '',
  email varchar(255) default '',
  phone_mobile varchar(255) default '',
  classification varchar(255) default '',
  send_method varchar(255) default '',
  reference varchar(255) default '' NOT NULL,
  emailcc varchar(255) default '',
  attempts integer default '0',
  attempt_date date, attempt_time time,
  cost decimal(12,2) default '0' NOT NULL,
  user_id integer default '0' NOT NULL,
  status integer default '0' NOT NULL,
  created_date date, created_time time,
  created_by integer default '0' NOT NULL,
  PRIMARY KEY  (id)
);*/

$table['message_schedule']['subject'] 			= array("varchar(255)",	"");
$table['message_schedule']['body'] 				= array("blob");
$table['message_schedule']['extracted_info']	= array("blob");
$table['message_schedule']['name'] 				= array("varchar(255)",	"");
$table['message_schedule']['email'] 			= array("varchar(255)",	"");
$table['message_schedule']['phone_mobile'] 		= array("varchar(255)",	"");
$table['message_schedule']['classification'] 	= array("varchar(255)",	"email",	TRUE);
$table['message_schedule']['send_method'] 		= array("varchar(255)",	"email",	TRUE);
$table['message_schedule']['reference'] 		= array("varchar(255)",	"",			TRUE);
$table['message_schedule']['emailcc'] 			= array("varchar(255)",	"");
$table['message_schedule']['attempts'] 			= array("integer",		"0",		TRUE);
$table['message_schedule']['attempt_date'] 		= array("date");
$table['message_schedule']['attempt_time'] 		= array("time");
$table['message_schedule']['cost'] 				= array("money",		"0.00",		TRUE);
$table['message_schedule']['user_id'] 			= array("integer",		FALSE,		TRUE,	FALSE,	"users");
$table['message_schedule']['receipt_code']		= array("varchar(255)");
$table['message_schedule']['receipt_ip']		= array("inet",			"0.0.0.0");
$table['message_schedule']['receipt_status']	= array("integer",		"0");
$table['message_schedule']['receipt_date'] 		= array("date");
$table['message_schedule']['receipt_time'] 		= array("time");
$table['message_schedule']['status'] 			= array("integer",		"0",		TRUE);

?>
